icinga2 (2.15.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 06:58:26 +0200

icinga2 (2.15.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop systemd-checkcommand.patch, applied upstream.
  * Use execute_{before,after} instead of override in rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jun 2025 17:16:16 +0200

icinga2 (2.14.6-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    Fixes CVE-2025-48057.
  * Bump Standards-Version to 4.7.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 May 2025 12:47:15 +0200

icinga2 (2.14.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Feb 2025 05:45:24 +0100

icinga2 (2.14.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Jan 2025 14:52:12 +0100

icinga2 (2.14.3-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes CVE-2024-49369
    (closes: #1087384)
  * Replace pkg-config build dependency with pkgconf.
  * Ignore test failures on loong64.
    (closes: #1073041)
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Nov 2024 18:28:00 +0100

icinga2 (2.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Ignore test failures on mips64el, ppc64el, powerpc.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Jan 2024 13:26:54 +0100

icinga2 (2.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable Salsa CI.
  * Ignore test failures on i386.
    (closes: #1058947)
  * Use dh-sequence-{bash-completion,vim-addon}.
  * Add Romanian debconf translation by Remus-Gabriel Chelu.
    (closes: #1059155)
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Dec 2023 16:05:19 +0100

icinga2 (2.14.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jul 2023 17:19:43 +0200

icinga2 (2.13.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.
  * Update copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jul 2023 16:26:40 +0200

icinga2 (2.13.7-1) unstable; urgency=medium

  * Team upload.
  * Add patch to use check_systemd path as provided by the
    monitoring-plugins-systemd package.
    (closes: #1033666)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 16:05:27 +0200

icinga2 (2.13.7-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Feb 2023 20:47:13 +0100

icinga2 (2.13.6-2) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add tzdata to build dependencies for timeperiod/dst test.
    (closes: #1029422)
  * Replace lsb-base dependency with sysvinit-utils (>= 3.05-4~).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 17:36:37 +0100

icinga2 (2.13.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2022 19:51:49 +0100

icinga2 (2.13.5-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Drop obsolete libwxgtk3.0-gtk3-dev build dependency.
    (closes: #1019814)
  * Update lintian overrides.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, g++ and make.
    + icinga2-bin: Drop versioned constraint on icinga2-common in Replaces.
    + icinga2-bin: Drop versioned constraint on icinga2-common in Breaks.
  * Apply multi-arch hints.
    + icinga2-doc: Add Multi-Arch: foreign.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2022 05:31:01 +0200

icinga2 (2.13.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update libreadline Recommends.
    (closes: #1014419)
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Update Vcs-* URLs for repo rename.
  * Add libboost-iostreams-dev to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2022 17:13:35 +0200

icinga2 (2.13.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop vim-icinga2-docs.patch, fixed upstream.
  * Update lintian overrides.
  * Override dh_vim-addon to only act on vim-icinga2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 15:29:22 +0200

icinga2 (2.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Apr 2022 15:55:28 +0200

icinga2 (2.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Nov 2021 07:08:18 +0100

icinga2 (2.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Aug 2021 15:50:51 +0200

icinga2 (2.13.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Adopt upstream NotifyAccess & KillMode to systemd service changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Aug 2021 06:10:36 +0200

icinga2 (2.12.5-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 14:58:51 +0200

icinga2 (2.12.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Apply patch by Louis-Philippe Véronneau to use dh-vim-addon.
    (closes: #990376)
  * Add patch to update documentation for vim-icinga2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Jul 2021 09:33:43 +0200

icinga2 (2.12.4-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Remove the unity build disabling.
  * Link with -latomic on architectures that need it.

  [ Bas Couwenberg ]
  * New upstream release.
  * Add --close-stdio to systemd service file.
    (closes: #986465)
  * Drop boost1.74 patches, included upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 May 2021 14:18:25 +0200

icinga2 (2.12.3-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-29663
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Dec 2020 05:36:35 +0100

icinga2 (2.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Nov 2020 05:32:44 +0100

icinga2 (2.12.1-2) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Add patches to fix FTBFS with Boost 1.74.
    (closes: #975416)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2020 07:36:52 +0100

icinga2 (2.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Oct 2020 06:35:07 +0200

icinga2 (2.12.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add lintian overrides for file-references-package-build-path.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Aug 2020 07:40:24 +0200

icinga2 (2.12.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
    - Fixes CVE-2021-32739 & CVE-2021-32743.
  * Update copyright years for Icinga GmbH & Niels Lohmann.
  * Drop boost-1.71.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Mar 2020 06:12:42 +0100

icinga2 (2.11.5-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-14004
  * Update gbp.conf & watch file for 2.11 releases.
  * Add lintian overrides for file-references-package-build-path.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Sep 2020 05:46:26 +0200

icinga2 (2.11.3-2) unstable; urgency=medium

  * Team upload.
  * Set additional permissions in icinga2-common.postinst.
    (closes: #953425)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Mar 2020 18:46:51 +0100

icinga2 (2.11.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Drop unnecessary dh arguments: --parallel
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Add patch by Giovanni Mascellani to fix FTBFS with Boost 1.71.
    (closes: #949836)
  * Add lsb-base to icinga2-bin dependencies.
  * Replace dh_systemd_enable override with dh_installsystemd.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Mar 2020 11:53:43 +0100

icinga2 (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Oct 2019 16:53:23 +0200

icinga2 (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Don't add -latomic, didn't fix the FTBFS.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #943438)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 06:24:43 +0200

icinga2 (2.11.1-2~exp1) experimental; urgency=medium

  * Team upload.
  * Add -latomic to LDFLAGS on some architectures to fix FTFBS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Oct 2019 16:32:56 +0200

icinga2 (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop unused override for file-references-package-build-path.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Oct 2019 07:49:04 +0200

icinga2 (2.11.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark autopkgtest as superficial.
  * Update copyright years for Icinga Development Team.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2019 07:17:39 +0200

icinga2 (2.11.0~rc1-1~exp2) experimental; urgency=medium

  * Team upload.
  * Use /run instead of /var/run.
  * Set ownership of /etc/icinga2/features-enabled to nagios:nagios.
    (closes: #934108)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 14:50:58 +0200

icinga2 (2.11.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update copyright years for Icinga GmbH
    - Add license & copyright for nlohmann_json & utf8cpp sources
  * Drop icinga2-classicui package, Icinga 1.x is EOL.
  * Refresh patches.
  * Add additional boost build dependencies, drop libyajl-dev.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jul 2019 08:06:39 +0200

icinga2 (2.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 11:37:41 +0200

icinga2 (2.10.5-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 12:34:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog icinga2-bin`.
